#
# pg_profile::database::db_records
#
# @summary This class contains the definition for all the database records.
# When these customizations aren't enough, you can replace the class with your own class. See [pg_profile::database](./database.html) for an explanation on how to do this.
#
# @param [Hash] list
#    A Hash of the database records you want to add to the system.
#    The default value is `{}`
#
#
# See the file "LICENSE" for the full license governing this code.
#
class pg_profile::database::db_records(
  Hash $list,
) inherits pg_profile {

  easy_type::debug_evaluation() # Show local variable on extended debug

  if $list.keys.size > 0 {
    echo {"Ensure Postgres records(s) ${list.keys.join(',')}":
      withpath => false,
    }
  }
  #
  # This is a simple way to get started. It is easy to get started, but
  # soon your hiera yaml becomes a nigtmare. Our advise is when you need
  # to let Puppet manage your Postgres resources, to override this class and 
  # add your own Puppet implementation. This is a much better, more
  # maintainable, and adds more consistency.
  #
  ensure_resources(pg_records, $list)
}
