#
# pg_profile::database::db_startup
#
# @summary This class contains the definition for the auto startup of Postgres after a system reboot.
# When these customizations aren't enough, you can replace the class with your own class. See [ora_profile::database](./database.html) for an explanation on how to do this.
#
#
# See the file "LICENSE" for the full license governing this code.
#
class pg_profile::database::db_startup() inherits pg_profile {

  easy_type::debug_evaluation() # Show local variable on extended debug

  echo {'Ensure Postgres database start':
    withpath => false,
  }

  service { "postgresql-${pg_profile::version}":
    ensure => 'running',
    enable => true,
  }
}
